# GitHub Utils API

## What is it?
This package is used to provide a **simple** python interface for interacting with GitHub.
It is based on the official public Rest API documentation and private methods discovered by the community.

This project is documented at [https://githubutilsapi.readthedocs.io/](https://githubutilsapi.readthedocs.io/)

## How to Install?

### From PyPI
```console
$ pip install github-utils-api
```

### From Source
- Git clone repository
- Use `pip install -r requirements.txt` to install the required packages
- or `pipenv install && pipenv install --dev`

## How to use?
Import this python package and code.
```python
from githubutilsapi import GithubUtilsApi
```

## How to contribute?
First of all, I am happy for any PR requests.
Let's fork and provide your changes :)
1. Fork this project
2. Install required software Python3
3. Make your changes
4. Remember to generate documented methods
5. Test your changes and create the pull request

## License
This project is licensed under the terms of the MIT license.

For a copy, see [https://opensource.org/licenses/MIT](https://opensource.org/licenses/MIT).
